'use strict';

goog.provide('Blockly.Python.decorator');

goog.require('Blockly.Python');
Blockly.Python['decorator'] = function(block) {
    var value_name = Blockly.Python.valueToCode(block, 'BODY', Blockly.Python.ORDER_ATOMIC);
    var code = '@'+(value_name  || '___')+'\n';
    return code;
  };